/*
 * *************************************************
 * Copyright (c) 2020 QMTH. All Rights Reserved.
 * Created by Deason on 2020-04-01 18:01:26.
 * *************************************************
 */

package cn.com.qmth.examcloud.exchange.outer.service;

import cn.com.qmth.examcloud.exchange.base.enums.QuestionCategory;
import cn.com.qmth.examcloud.exchange.outer.service.bean.OuterCourseBean;
import cn.com.qmth.examcloud.exchange.outer.service.bean.OuterQuestionBean;

import java.util.List;

public interface OutletPaperStructService {

    /**
     * 根据考试和课程获取调卷规则下试卷的试题列表
     *
     * @param examId     考试ID
     * @param courseCode 课程代码
     * @return 列表
     */
    List<OuterQuestionBean> getPaperStructQuestions(Long examId, String courseCode, QuestionCategory questionCategory);

    /**
     * 获取考试相关联的课程列表
     *
     * @param examId 考试ID
     * @return 列表
     */
    List<OuterCourseBean> getExamCourses(Long examId);

}
